# Get ACH Transfer Returns details about an ACH transfer for the specified account by ACH transfer ID. This endpoint returns details for both incoming and outgoing ACH transfers, and can be used to check the status of an outgoing ACH transfer after it has been initiated. Endpoint: GET /accounts/{account_id}/achs/{ach_transfer_id} Version: 1.0.0 Security: apiKeyAuth ## Path parameters: - `account_id` (string, required) The ID of the account. - `ach_transfer_id` (string, required) The transaction group ID for the ACH transfer (e.g. withdrawal_ach_...), or a Treasury Prime ACH id returned from create_ach (e.g. ach_...) ## Header parameters: - `x-entity-id` (string) Optional entity ID for scoped access to entity-specific data ## Response 200 fields (application/json): - `id` (string, required) The unique identifier for the ACH transfer - `amount` (string, required) The amount of the transfer - `status` (string, required) The current status of the transfer Enum: "pending", "canceled", "processing", "error", "sent", "returned", "void" - `description` (any) A description of the transfer - `counterparty_id` (any) The unique identifier for the counterparty - `counterparty_name` (any) The name of the counterparty - `counterparty_account_number` (any) The account number of the counterparty - `counterparty_routing_number` (any) The routing number of the counterparty - `created_at` (string, required) The time the transfer was created - `updated_at` (string, required) The time the transfer was last updated - `internal_note` (any) An internal note associated with the transfer - `additional_details` (any) Additional details about the transfer - `trace_number` (any) The ACH trace number for the transfer - `payment_related_info` (any) Payment related information (e.g. for incoming ACH) ## Response 422 fields (application/json): - `detail` (array) - `detail.loc` (array, required) - `detail.msg` (string, required) - `detail.type` (string, required)